Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAHR2

    java.lang.Object
      org.netlib.lapack.SLAHR2

    public class SLAHR2

extends java.lang.Object

    SLAHR2 is a simplified interface to the JLAPACK routine slahr2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAHR2 reduces the first NB columns of A real general n-BY-(n-k+1)
     *  matrix A so that elements below the k-th subdiagonal are zero. The
     *  reduction is performed by an orthogonal similarity transformation
     *  Q' * A * Q. The routine returns the matrices V and T which determine

     *  Q as a block reflector I - V*T*V', and also the matrix Y = A * V * T.
     *
     *  This is an auxiliary routine called by SGEHRD.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.
     *
     *  K       (input) INTEGER
     *          The offset for the reduction. Elements below the k-th
     *          subdiagonal in the first NB columns are reduced to zero.
     *          K < N.
     *
     *  NB      (input) INTEGER
     *          The number of columns to be reduced.
     *
     *  A       (input/output) REAL array, dimension (LDA,N-K+1)
     *          On entry, the n-by-(n-k+1) general matrix A.
     *          On exit, the elements on and above the k-th subdiagonal in
     *          the first NB columns are overwritten with the corresponding
     *          elements of the reduced matrix; the elements below the k-th
     *          subdiagonal, with the array TAU, represent the matrix Q as a

     *          product of elementary reflectors. The other columns of A are

     *          unchanged. See Further Details.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  TAU     (output) REAL array, dimension (NB)
     *          The scalar factors of the elementary reflectors. See Further

     *          Details.
     *
     *  T       (output) REAL array, dimension (LDT,NB)
     *          The upper triangular matrix T.
     *
     *  LDT     (input) INTEGER
     *          The leading dimension of the array T.  LDT >= NB.
     *
     *  Y       (output) REAL array, dimension (LDY,NB)
     *          The n-by-nb matrix Y.
     *
     *  LDY     (input) INTEGER
     *          The leading dimension of the array Y. LDY >= N.
     *
     *  Further Details
     *  ===============
     *
     *  The matrix Q is represented as a product of nb elementary reflectors

     *
     *     Q = H(1) H(2) . . . H(nb).
     *
     *  Each H(i) has the form
     *
     *     H(i) = I - tau * v * v'
     *
     *  where tau is a real scalar, and v is a real vector with
     *  v(1:i+k-1) = 0, v(i+k) = 1; v(i+k+1:n) is stored on exit in
     *  A(i+k+1:n,i), and tau in TAU(i).
     *
     *  The elements of the vectors v together form the (n-k+1)-by-nb matrix

     *  V which is needed, with T and Y, to apply the transformation to the
     *  unreduced part of the matrix, using an update of the form:
     *  A := (I - V*T*V') * (A - Y*V').
     *
     *  The contents of A on exit are illustrated by the following example
     *  with n = 7, k = 3 and nb = 2:
     *
     *     ( a   a   a   a   a )
     *     ( a   a   a   a   a )
     *     ( a   a   a   a   a )
     *     ( h   h   a   a   a )
     *     ( v1  h   a   a   a )
     *     ( v1  v2  a   a   a )
     *     ( v1  v2  a   a   a )
     *
     *  where a denotes an element of the original matrix A, h denotes a
     *  modified element of the upper Hessenberg matrix H, and vi denotes an

     *  element of the vector defining H(i).
     *
     *  This file is a slight modification of LAPACK-3.0's SLAHRD
     *  incorporating improvements proposed by Quintana-Orti and Van de
     *  Gejin. Note that the entries of A(1:K,2:NB) differ from those
     *  returned by the original LAPACK routine. This function is
     *  not backward compatible with LAPACK3.0.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAHR2()`

Method Summary
`static void` | `SLAHR2(int n, int k, int nb, float[][] a, float[] tau, float[][] t, float[][] y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAHR2

    public SLAHR2()

Method Detail

### SLAHR2

    public static void SLAHR2(int n,
                              int k,
                              int nb,
                              float[][] a,
                              float[] tau,
                              float[][] t,
                              float[][] y)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD